Topics

#deployment #dmaap #dcaegen2 #elalto #pmmapper #pnfsimulator #dcaegen2 #dmaap #deployment #elalto #pmmapper


Banerjee, Supantho
 

Hi ONAP Group
We are trying to deploy El-Alto version and installing On-demand PMMapper using the below link. 
https://wiki.onap.org/pages/viewpage.action?pageId=60891174#PMMapper(5GUsecase)-Configuration

There is DCAE R4 & R6 Service Component On-Demand deployment steps and blueprint available but nothing for R5. Is there any change in the R5 blueprint/docker image for PM Mapper which can be shared for verification? Please suggest suitable steps.

We also tried, after deleting  pm mapper blueprintId, we are getting below error.
============================================================================

[root@dev-dcaegen2-dcae-bootstrap-74ffcb56f4-dbjtv /]# cfy install --blueprint-id pm-mapper --deployment-id pm-mapper -i inputs.yaml blueprints/k8s-pm-mapper.yaml

Uploading blueprint blueprints/k8s-pm-mapper.yaml...

 k8s-pm-mapper.yaml |##################################################| 100.0%

Blueprint uploaded. The blueprint's id is pm-mapper

Creating new deployment from blueprint pm-mapper...

Unable to create deployment. Not all deployment plugins are installed on the Manager.

* Use 'cfy plugins upload' to upload the missing plugins to the Manager, or use 'cfy deployments create' with the '--skip-plugins-validation' flag  to skip this validation.

400: Required plugin k8splugin, version 1.7.2 is not installed on the manager

=========================================================================================================================
And we also retry  below command
'cfy deployments create' with the '--skip-plugins-validation, getting same error message .

Please help with suitable suggestion to use PM Mapper 

Regards
Supantho Banerjee


Vijay VK
 

Hi,

The error indicates the k8s plugin version referenced in the blueprint is not available in your setup of DCAE (CloudifyManager). You can find the list of available plugins by “cfy plugins list” and change the imports accordingly.

 

For El-Alto PM_Mapper deployment, the instruction are under RTD here - https://docs.onap.org/en/elalto/submodules/dcaegen2.git/docs/sections/services/pm-mapper/installation.html

 

Regards,

Vijay

 

From: onap-discuss@... <onap-discuss@...> On Behalf Of supantho.banerjee@...
Sent: Saturday, March 21, 2020 2:44 AM
To: onap-discuss@...
Subject: [onap-discuss] #deployment #dmaap #dcaegen2 #elalto #pmmapper #pnfsimulator

 

Hi ONAP Group
We are trying to deploy El-Alto version and installing On-demand PMMapper using the below link. 
https://wiki.onap.org/pages/viewpage.action?pageId=60891174#PMMapper(5GUsecase)-Configuration

There is DCAE R4 & R6 Service Component On-Demand deployment steps and blueprint available but nothing for R5. Is there any change in the R5 blueprint/docker image for PM Mapper which can be shared for verification? Please suggest suitable steps.

We also tried, after deleting  pm mapper blueprintId, we are getting below error.
============================================================================

[root@dev-dcaegen2-dcae-bootstrap-74ffcb56f4-dbjtv /]# cfy install --blueprint-id pm-mapper --deployment-id pm-mapper -i inputs.yaml blueprints/k8s-pm-mapper.yaml

Uploading blueprint blueprints/k8s-pm-mapper.yaml...

 k8s-pm-mapper.yaml |##################################################| 100.0%

Blueprint uploaded. The blueprint's id is pm-mapper

Creating new deployment from blueprint pm-mapper...

Unable to create deployment. Not all deployment plugins are installed on the Manager.

* Use 'cfy plugins upload' to upload the missing plugins to the Manager, or use 'cfy deployments create' with the '--skip-plugins-validation' flag  to skip this validation.

400: Required plugin k8splugin, version 1.7.2 is not installed on the manager

=========================================================================================================================
And we also retry  below command
'cfy deployments create' with the '--skip-plugins-validation, getting same error message .

Please help with suitable suggestion to use PM Mapper 

Regards
Supantho Banerjee